import $ from 'sigl';
import { Matrix, Rect } from 'sigl';
import { SurfaceElement } from 'x-surface';
import { Popup } from './popup';
export declare class PopupScene {
    surface: SurfaceElement;
    viewportRect: Rect;
    viewMatrix: Matrix;
    runCollisions?: () => void;
    $: $.Context<PopupScene> & typeof $;
    context: $.ContextClass<PopupScene>;
    popups: Set<Popup>;
    constructor(surface: SurfaceElement);
    destroy(): void;
    create(this: PopupScene): void;
}
